Create a duplicate
POST
/v1/projects/{projectId}/collection-orders/{orderId}/duplicatescurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders/{orderId}/duplicates' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"orderNumber": "string",
"title": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- orderIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- orderNumberstring必填
- titlestring
响应
Success
- dataobject必填
- tasksarray<CollectionTaskDto>必填
- scenesarray<CollectionSceneDto>必填
- quotasarray<CollectionQuotaDto>必填
- consentsarray<CollectionConsentDto>必填
- estimateobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- orderNumberstring必填
- titlestring必填
- descriptionstring | null必填
- statusstring必填
- targetSkillsJsonobject必填
- targetEmbodimentJsonobject必填
- targetSceneJsonobject必填
- sourceMetadataSchemaJsonobject | null必填
- acceptanceRulesobject必填
- templateIdstring | null必填
- segmentationJobIdstring | null必填
- deadlineAtstring | null必填
- acceptedQuantitynumber必填
- targetQuantitynumber | null必填
- outstandingReworkCountnumber必填
- outstandingReworkarray<CollectionDeliveryOutstandingReworkDto>必填
- openedAtstring | null必填
- closedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
- rowVersionnumber必填
响应示例
{
"data": {
"tasks": [
{
"id": "string",
"orderId": "string",
"name": "string",
"instructionJson": {
"en": "string",
"zh": "string"
},
"demoMediaKeys": [
"string"
],
"startCondition": "string",
"endCondition": "string",
"allowedVariation": "string",
"durationMinS": 0,
"durationMaxS": 0,
"requiredCameras": "other",
"requiredModalities": "imu",
"minHandsVisible": 0,
"recordingMode": "continuous",
"orderIndex": 0,
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
],
"scenes": [
{
"id": "string",
"orderId": "string",
"name": "string",
"description": "string",
"photoKeys": [
"string"
],
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
],
"quotas": [
{
"id": "string",
"orderId": "string",
"taskId": "string",
"sceneId": "string",
"targetHours": 0,
"targetSubmissions": 0,
"perCollectorCap": 0,
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
],
"consents": [
{
"id": "string",
"orderId": "string",
"version": 0,
"textMd": "string",
"createdAt": "string"
}
],
"estimate": {
"recordedSeconds": 0,
"labelledAsEstimate": true,
"durationSeconds": 0,
"units": [
{
"meterCode": "string",
"quantity": 0
}
],
"price": {
"amountMinor": 0,
"currency": "string"
},
"basis": "coefficient",
"evidence": [
"string"
],
"limitCheck": {
"wouldExceed": false,
"remainingBytes": 0
}
},
"id": "string",
"tenantId": "string",
"projectId": "string",
"orderNumber": "string",
"title": "string",
"description": "string",
"status": "string",
"targetSkillsJson": {},
"targetEmbodimentJson": {},
"targetSceneJson": {},
"sourceMetadataSchemaJson": {},
"acceptanceRules": {
"blockingChecks": [
"string"
],
"thresholds": {},
"sampling": {
"rate": 0,
"firstPerCollector": 0
},
"rerecordOnReject": false
},
"templateId": "string",
"segmentationJobId": "string",
"deadlineAt": "string",
"acceptedQuantity": 0,
"targetQuantity": 0,
"outstandingReworkCount": 0,
"outstandingRework": [
{
"repairTaskId": "string",
"sourceId": "string",
"status": "string",
"severity": "string"
}
],
"openedAt": "string",
"closedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1